/***************************************************************************
                          cobject.h  -  description
                             -------------------
    begin                : Sun Sep 30 2001
    copyright            : (C) 2001-2003 by Mathias Kster
    email                : mathen@users.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COBJECT_H
#define COBJECT_H

/**
  *@author Mathias Kster
  */

/*
 * The object count public static member ulonglong was removed because:
 * 1. Nothing uses it so it can only slow things down.
 * 2. It isn't thread safe (no mutex to protect it), and since dclib
 *    uses threads and churns through millions of objects (mostly CStrings)
 *    the actual value of it is probably hopelessly wrong.
 *
 * So this class now does nothing.
 */

class DLL_EXPORT CObject {
public: 
	/** */
	CObject() {};
	/** */
	virtual ~CObject() {};
};

#endif
